@import "fonts/font";

:root{
    --primary: #00543E;
    --normalText: #484A4A;
    --secondary: #555857;
    --description: #9AA09F;
    --stroke: #D7DBDE;
    --white: #fff;
    --bglight: #F3F7F6;
    --primarylight: #157159;
    --red: #E03E3E;
    --disable: #C8C8C8;
    --disablebgr: #F2F2F2;
    --warning: #FFAD0F;
    --link: #1483EB;
}

.primarylight-color{
    color: var(--primarylight);
}

/*Reset Css*/
abbr,address,article,aside,audio,b,blockquote,body,body div,caption,cite,code,dd,del,details,dfn,dl,dt,em,fieldset,figure,footer,form,h1,h2,h3,h4,h5,h6,header,html,i,iframe,img,ins,kbd,label,legend,li,mark,menu,nav,object,ol,p,pre,q,samp,section,small,span,strong,sub,summary,sup,table,tbody,td,tfoot,th,thead,time,tr,ul,var,video{margin:0;padding:0;border:0;font-size:100%;font-weight:400;vertical-align:baseline;background:0 0}article,aside,details,figure,footer,header,nav,section,summary{display:block}html{box-sizing:border-box}*,:after,:before{box-sizing:inherit}embed,img,object{max-width:100%}html{overflow-y:scroll}ul{list-style:none}blockquote,q{quotes:none}blockquote:after,blockquote:before,q:after,q:before{content:'';content:none}a{margin:0;padding:0;font-size:100%;vertical-align:baseline;background:0 0}del{text-decoration:line-through}abbr[title],dfn[title]{border-bottom:1px dotted #000;cursor:help}table{border-collapse:collapse;border-spacing:0}th{font-weight:700;vertical-align:bottom}td{font-weight:400;vertical-align:top}hr{display:block;height:1px;border:0;border-top:1px solid #ccc;margin:1em 0;padding:0}input,select{vertical-align:middle}pre{white-space:pre;white-space:pre-wrap;white-space:pre-line;word-wrap:break-word}input[type=radio]{vertical-align:text-bottom}input[type=checkbox]{vertical-align:bottom}.ie7 input[type=checkbox]{vertical-align:baseline}.ie6 input{vertical-align:text-bottom}input,select,textarea{font:99% sans-serif}table{font-size:inherit;font:100%}small{font-size:85%}strong{font-weight:700}td,td img{vertical-align:top}sub,sup{font-size:75%;line-height:0;position:relative}sup{top:-.5em}sub{bottom:-.25em}code,kbd,pre,samp{font-family:monospace,sans-serif}.clickable,button,input[type=button],input[type=file],input[type=submit],label{cursor:pointer}button,input,select,textarea{margin:0}button,input[type=button]{width:auto;overflow:visible}.ie7 img{-ms-interpolation-mode:bicubic}.clearfix:after,.clearfix:before{content:"\0020";display:block;height:0;overflow:hidden}.clearfix:after{clear:both}.clearfix{zoom:1}

a{
    text-decoration: none;
}

input, select{
    &::placeholder{
        color: #9AA09F;
    }

    &:focus{
        border: none;
        outline: unset;
    }
}

.form-group{
    margin-bottom: 15px;
}

.form-with-lable{
    position: relative;

    .lable{
        position: absolute;
        top: 8px;
        left: 15px;
        color: #9AA09F;
        display: none;
        font-size: 13px;
    }

    &.disable{
        .lable{
            display: block;
        }
    }

    input{
        &:disabled{
            display: block !important;
            padding-top: 33px !important;
            font-size: 16px !important;
        }

        &:focus{
            padding-top: 33px !important;
            font-size: 16px !important;

            &+.lable{
                display: block;
            }
        }
    }
}

#wrapper{
    // max-width: 375px;
    margin: auto;
}

body{
    font-family: "SFProText";
    font-weight: normal;
    font-size: 14px;
    line-height: 1.4;
    color: var(--normalText);

    *{
        font-family: "SFProText";
    }
}

@mixin clamp($number) {
    display: -webkit-box;
    -webkit-line-clamp: $number;
    -webkit-box-orient: vertical;  
    overflow: hidden;
}

.container{
    padding: 0 20px;
}

.text-center{
    text-align: center;
}

.body_activity{
    padding-top: 44px;
    min-height: calc(100vh - 44px);
}

.bgr-light{
    background: var(--bglight) !important;
}

.e-flex {
    display: flex;
    background-color: #a2cbfa;
    border: 1px solid #4390e1;
    box-sizing: border-box;
    box-shadow: 0 2px 2px rgb(0 90 250 / 5%),
               0 4px 4px rgb(0 90 250 / 5%), 0 8px 8px rgb(0 90 250 / 5%),
               0 16px 16px rgb(0 90 250 / 5%);
    padding: 10px;
 }
 
 .e-flex-image {
    width: 100px;
    object-fit: cover;
    flex-shrink: 0;
    background-color: white;
 }
 
 .e-flex-info {
    flex: 1;
    padding: 10px;
    margin-left: 10px;
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
 }
 
 .e-flex-title {
    margin-bottom: 20px;
 }
 
 .e-flex-title span,
           .e-flex-time {
    display: block;
    height: 10px;
    margin-bottom: 10px;
    background-color: #eee;
 }

 .heading_section{
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    letter-spacing: -0.24px;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 20px;
 }
 
 .e-flex-time {
    width: 50px;
    height: 20px;
    margin-bottom: 0;
    margin-top: auto;
 }

 .product-horizontal{
     .e-flex{
         border: none;
         box-shadow: unset;
         background: transparent;
         padding: 5px 0;
         align-items: center;
     }
     .e-flex-image{
         max-width: 54px;

         img{
             width: 100%;
         }
     }

     .name-prd{
         font-size: 15px;
         margin-bottom: 5px;
     }

     .price-prd{
         font-size: 15px;
         font-weight: 600;
     }

     .e-flex-title{
         margin-bottom: 0;
     }
 }

/*Header Controler*/
#headerControler{
    position: fixed;
    z-index: 999;
    left: 0;
    right: 0;
    top: 0;
    width: 100%;
    background: transparent;

    &.scroll-head{
        background: #fff !important;
        box-shadow: 0px 0px 10px 0px #ddd;
    }

    nav.nav-controler{
        height: 44px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .btn-transparent{
        background: transparent;
        padding: 0;
        margin: 0;
        border: none;
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

    .heading_controler{
        font-weight: 600;
        font-size: 20px;
        text-align: center;
    }

    .search_controler{
        width: 100%;
        position: relative;

        input{
            border: none;
            width: 100%;
            font-size: 17px;
            padding: 0 30px 0 15px;
            height: 44px;
        }

        .btn-close{
            position: absolute;
            right: 0;
            top: 15px;
            display: none;
        }
    }

    .btn-suport{
        span{
            margin-right: 10px;
            font-size: 15px;
        }
    }

    .logo-main{
        max-width: 52.66px;
        // height: 44px;
        // width: 52.66px;
        // height: 51.6px;
    }

    .myCart_controler{
        width: 40px;
        
        .myCart{
            display: inline-block;
            position: relative;

            .number-cart{
                position: absolute;
                width: 24px;
                height: 24px;
                font-size: 13px;
                background: #FFAD0F;
                border-radius: 100%;
                text-align: center;
                color: #000;
                line-height: 24px;
                top: -10px;
                right: -10px;
            }
        }
    }
}

/*Screen Login*/
.activity_main_login{
    &_screen{
        min-height: calc(100vh - 44px);
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        
        .screen_login_center{
            min-height: calc(100vh - 150px);
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;

            .logo-screen{
                margin-bottom: 30px;
            }

            .form-login{
                width: 100%;
                padding: 0 10px;

                .form-control{
                    height: 56px;
                    width: 100%;
                    background: #fff;
                    font-size: 20px;
                    text-align: center;
                    border: none;
                    border-radius: 850px;
                    font-weight: 600;

                    &::placeholder{
                        color: #9AA09F;
                    }

                    &:focus{
                        border: none;
                        outline: unset;
                    }
                }

                .btn_next_login{
                    background: #157159;
                    border-radius: 50px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    height: 56px;
                    width: 100%;
                    border: none;
                    margin-top: 20px;
                    font-size: 17px;
                    font-weight: 600;
                    color: #fff;

                    &:disabled{
                        background: #E6E6E6;
                        color: #9AA09F;
                    }

                    svg{
                        width: 16px;
                        margin-left: 10px;
                    }
                }

                .block_Verify{
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin-bottom: 50px;

                    input{
                        font-size: 28px;
                        color: #000;
                        font-weight: 600;
                        display:inline-block;
                        width:50px;
                        height:50px;
                        margin: 0 10px;
                        text-align:center;
                        background: transparent;
                        border: none;
                        border-bottom: 2px solid #9AA09F;
                    }
                }

                .btn-reload{
                    text-align: center;
                    display: inline-flex;
                    justify-content: center;
                    align-items: center;
                    font-size: 17px;
                    color: var(--primarylight);
                    margin-top: 30px;

                    img{
                        margin-right: 5px;
                    }
                }

                .input_form{
                    font-size: 17px;
                    height: 56px;
                    width: 100%;
                    border: 1px solid #C8C8C8;
                    box-sizing: border-box;
                    border-radius: 4px;
                    padding: 15px;

                    &:disabled{
                        color: #9AA09F;
                    }
                }
            }
            
            .text_note_content{
                padding: 0 10px;
                margin-bottom: 30px;
                line-height: 1.6;
                font-size: 17px;
                letter-spacing: -0.408px;
            }


            .icon_success{
                margin-bottom: 30px;
                svg{
                    width: 60px;
                    color:var(--primarylight);
                }
            }

            .status-login{
                font-size: 20px;
                margin-bottom: 20px;
            }

            .btn-back-to-home{
                background: #F3F7F6;
                border-radius: 50px;
                width: 187px;
                height: 53px;
                font-size: 17px;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                border: none;
                margin-top: 40px;

                img{
                    margin-right: 10px;
                }
            }
        }
        .note-bottom{
            letter-spacing: -0.24px;
            color: #9AA09F;
            margin-bottom: 30px;

            .bold{
                font-weight: 600;
                color: #000;
            }
        }
    }
}

/*Screen default*/
.activity_screen{
    padding: 0; 
    min-height: calc(100vh - 44px);
    overflow: hidden;
    overflow-y: scroll;

    &.border{
        border-top: 1px solid #cecece;
    }
    
    .resuilt_search_list{
        padding-top: 2rem;

        ul{
            list-style: none;
            padding-top: 0;
            margin-right: 0;

            li{
                display: block;
            }
        }

        .list-suggestions{
            padding: 0 30px;
            
            li{
                margin-bottom: 15px;
                font-size: 15px;
                
                a{
                    color: var(--normalText);
                }
            }
        }
    }

    .nav_tabs{
        display: flex;
        padding: 0 15px;
        border-bottom: 1px solid #E5E5E5;

        a{
            display: inline-block;
            padding: 10px;
            color: var(--description);

            &.active{
                color: var(--primary);
                border-bottom: 2px solid var(--primary);
            }
        }
    }

    .banner_home{
        padding: 20px 0;

        &__box{
            display: flex;
            // gap: 15px;
            // grid-gap: 15px;
            // max-width: 450px;
            overflow-x: auto;
            scroll-snap-type: x mandatory;
            // box-shadow: 0 3px 10px 0 rgba(#000, 0.1);
            -webkit-overflow-scrolling: touch;
            scroll-padding: 1rem;
            padding: 1rem;
            margin: 0 auto 0;
            // border-radius: 5px;
        }

        &__item{
            display: flex;
            flex: 0 0 286px;
            // width: 30px;
            height: auto;
            scroll-snap-stop: always;
            scroll-snap-align: start;
            background-color: #ccc;
            // filter: drop-shadow(0px 6px 12px rgba(0, 0, 0, 0.1));
            border-radius: 4px;
            overflow: hidden;
            margin-right: 15px;

            img{
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }
    }

    .brand_home{
        padding: 20px 0 20px 20px;
        background: #F3F7F6;

        &__list{
            display: flex;
            // gap: 10px;
            // grid-gap: 10px;
            // max-width: 450px;
            overflow-x: auto;
            scroll-snap-type: x mandatory;
            // box-shadow: 0 3px 10px 0 rgba(#000, 0.1);
            -webkit-overflow-scrolling: touch;
            scroll-padding: 1rem;
            // padding: 1rem;
            margin: 0 auto 0;
            // border-radius: 5px;
        }

        &__items{
            display: flex;
            flex: 0 0 100px;
            // width: 30px;
            height: auto;
            scroll-snap-stop: always;
            scroll-snap-align: start;
            // filter: drop-shadow(0px 6px 12px rgba(0, 0, 0, 0.1));
            border-radius: 4px;
            overflow: hidden;
            margin-right: 10px;
            background: #fff;
            justify-content: center;
            align-items: center;

            a{
                display: inline-block;
                padding: 5px;
            }

            img{
                width: 100%;
                height: 100%;
                object-fit: fill;
            }
        }
    }

    .sales_home{
        padding: 20px 0;
        
        &__items{
            margin-bottom: 15px;

            img{
                width: 100%;
                border-radius: 5px;
                overflow:hidden;
            }
        }
    }

    .content-post{
        margin: 2rem 0;
        min-height: calc(100vh - 200px);

        p{
            margin-bottom: 10px;
            font-size: 15px;
            line-height: 24px;
        }

        h1,h2,h3,h4,h5,h6{
            margin-bottom: 10px;
            font-size: 18px;
        }
    }

    .btn_close_content{
        width: 164px;
        height: 52px;
        background: #F2F2F2;
        border-radius: 50px;
        border: none;
        margin: 15px 0;
        font-size: 17px;
    }

    .news_categorys{
        &__items{
           .thumbnail{
               margin-bottom: 15px;

               img{
                   width: 100%;
                   border-radius: 5px;
               }
           } 

           .title{
               font-weight: 600;
               margin-bottom: 10px;
               font-size: 20px;
           }

           .description{
               font-size: 15px;
           }

           .views{
               display: inline-flex;
               align-items: center;
               justify-content: center;
               height: 38px;
               background: #F3F7F6;
                border-radius: 50px;
                color: var(--primarylight);
                font-size: 15px;
                text-align: center;
                padding: 5px 15px;
                margin: 15px 0;

                svg{
                    width: 10px;
                    margin-left: 10px;
                }
           }
        }
    }

    .product_list_category{
        .nav_tabs{
            display: flex;
            overflow-x: auto;
            scroll-snap-type: x mandatory;
            // box-shadow: 0 3px 10px 0 rgba(#000, 0.1);
            -webkit-overflow-scrolling: touch;
            scroll-padding: 1rem;
            margin: 0 auto 0;

            .item{
                display: flex;
                flex: 0 0 25%;
                // width: 30px;
                height: auto;
                scroll-snap-stop: always;
                scroll-snap-align: start;
                justify-content: center;
                align-items: center;
            }
        }

        .controler_filter{
            display: flex;
            align-items: center;
            margin: 1rem 0;
            padding: 0 20px;

            .btn_filter{
                border: none;
                background: #F3F7F6;
                border-radius: 50px;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                margin-left: 10px;
                padding: 5px 10px;
                height: 38px;
                font-size: 13px;
                min-width: 100px;

                svg{
                    width: 12px;
                    margin-left: 10px;
                }
            }
        }
    }

    .list_products{
        display: flex;
        flex-wrap: wrap;
        margin-left: -10px;
        margin-right: -10px;

        &__card{
            position: relative;
        }

        &__item{
            padding: 0 10px;
            width: 50%;
            margin-bottom: 20px;

            .thumbnail{
                max-height: 197px;
                object-fit: fill;
            }
            .ribbon_product{
                background: #FFAD0F;
                border-radius: 2px;
                font-size: 13px;
                text-align: center;
                display: inline-flex;
                align-items: center;
                right: 0;
                position: absolute;
                padding: 3px 5px;
            }
            .name_product{
                margin-bottom: 3px;
                font-size: 14px;
                line-height: 20px;

                a{
                    color: var(--normalText);
                }
            }

            .price_product{
                font-weight: 600;
                font-size: 14px;
            }
        }
    }
}

/*Home Screen*/
.Home-Screen{
    padding-bottom: 65px;
    padding-top: 0;

    .activity_screen{
        min-height: calc(100vh - 65px);
        overflow: hidden;
        overflow-y: auto;
    }

    #headerControler{
        min-height: 75px;
        padding: 15px 0;
        background: #fff;
        position: unset;
        

        nav.nav-controler{
            height: auto;
        }

        .search_controler{
            margin: 0 15px;
    
            svg{
                width: 17px;
                position: absolute;
                left: 17px;
                top: 10px;
                color: #9AA09F;
            }
    
            input{
                background: #F3F7F6;
                border-radius: 60px;
                height: 38px;
                padding-left: 44px;
            }
        }

        .btn-searchTop{
            position: absolute;
            right: 80px;

            svg{
                width: 25px;
                color: var(--primarylight);
            }
        }

        &.scroll-head{
            .myCart_controler{
                position: fixed;
                right: 20px;
                top: 15px;
                z-index: 10;
                transition: all 1s;
            }
        }
    }
}

/*Menu Bottom*/
.navs_menu_bottom{
    height: 65px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 999;
    background: #fff;

    .navs_menus{
        display: flex;
        width: 100%;

        &__item{
            flex: 1 1;
            
            a{
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                text-align: center;
                position: relative;
                color: var(--description);
                font-size: 10px;
                line-height: 12px;

                img{
                    height: 24px;
                    margin-bottom: 3px;
                }
            }
        }
    }
}

/*popup*/
.my_popup{
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: center;
    
    &::after{
        content: "";
        width: 100%;
        height: 100%;
        position: absolute;
        z-index: 1;
        background: #0000004d;
    }

    &__block{
        width: 343px;
        height: 427px;
        background: #fff;
        border-radius: 20px;
        overflow: hidden;
        position: absolute;
        z-index: 2;

        .button-close{
            z-index: 3;
            position: absolute;
            left: 87.17%;
            right: 4.08%;
            top: 3.75%;
            bottom: 89.23%;
            border-radius: 100%;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            background: rgba(249, 249, 249, 0.78);
            backdrop-filter: blur(54.3656px);
        }
    }

    &__content{
        padding: 20px;
        font-size: 17px;
        

        .btn-register{
            width: 140px;
            height: 47px;
            display: inline-block;
            border: 0;
            background: #157159;
            border-radius: 50px;
            margin: 20px 0 40px;
            color: #fff;
            font-weight: 600;
        }

        a{
            color: var(--primarylight);
        }
    }
}